tclap 1.2.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TCLAP::SpecificationException Class Reference

Thrown from Arg and CmdLine when an Arg is improperly specified, e.g. More...

`#include <ArgException.h>`

Inheritance diagram for TCLAP::SpecificationException:

## Public Member Functions
| SpecificationException (const std::string &text="undefined exception", const std::string &id="undefined")
| Constructor. More...
Public Member Functions inherited from TCLAP::ArgException
| ArgException (const std::string &text="undefined exception", const std::string &id="undefined", const std::string &td="Generic ArgException")
| Constructor. More...
virtual | ~ArgException () throw ()
| Destructor. More...
std::string | error () const
| Returns the error text. More...
std::string | argId () const
| Returns the argument id. More...
const char * | what () const throw ()
| Returns the arg id and error text. More...
std::string | typeDescription () const
| Returns the type of the exception. More...

## Detailed Description

Thrown from Arg and CmdLine when an Arg is improperly specified, e.g.

same flag as another Arg, same name, etc.

Definition at line 167 of file ArgException.h.

## Constructor & Destructor Documentation

TCLAP::SpecificationException::SpecificationException | ( | const std::string & | text = `"undefined exception"`,
|  | const std::string & | id = `"undefined"`
| ) |  |
| inline

Constructor.

Parameters

  text | - The text of the exception.
  id | - The text identifying the argument source of the exception.

Definition at line 176 of file ArgException.h.

The documentation for this class was generated from the following file:

- ArgException.h